config/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
    path('registration/', include('registration.urls')),
    path('main/', include('main.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

home/urls.py
from django.urls import path
from . import views


app_name = 'home'

urlpatterns = [
    path('', views.Index.as_view(), name='index'),
]

main/urls.py
from django.urls import path, re_path
from . import views


app_name = 'main'

urlpatterns = [
    re_path(
        r'board/(?P<character_id>\d+)$',
        views.Board.as_view(),
        name='board'
    ),
    path(
        'card_click',
        views.CardClick.as_view(),
        name='card_click'
    ),
    path(
        'character_creation',
        views.CharacterCreation.as_view(),
        name='character_creation'
    ),
    path(
        'delete_character',
        views.DeleteCharacter.as_view(),
        name='delete_character'
    ),
    path(
        'move',
        views.Move.as_view(),
        name='move'
    )
]

registration/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views
from . import views


app_name = 'registration'

urlpatterns = [
    path(
        'login',
        auth_views.LoginView.as_view(
            template_name='registration/login.html'
        ),
        name='login'
    ),
    path(
        'logout/',
        auth_views.LogoutView.as_view(
            template_name='registration/logout.html'
        ),
        name='logout'
    ),
    path('signup', views.SignUp.as_view(), name='signup'),
]

home/models.py
from django.db import models

home/views.py
from django.shortcuts import render, redirect
from django.views import View


class Index(View):
    """ A view to display general information """

    template_name = 'home/index.html'

    def get(self, request, *args, **kwargs):
        if request.user.is_authenticated:
            context = {}
            return render(request, self.template_name, context)
        else:
            return redirect('registration:login')

home/templates/home/base.html
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>Destinies Crossroad</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://kit.fontawesome.com/575962c641.js" crossorigin="anonymous"></script>
    {% load static %}
    <link href="{% static 'home/css/styles.css' %}" rel="stylesheet" />
    <link rel="icon" type="image/x-icon" href="{% static 'home/img/favicon.png' %}" />
  </head>
  <body>
    <header>
      <h1><a href="{% url 'home:index' %}">Destinies Crossroads</a></h1>
      {% if user.is_authenticated %}
      <div class="">
        <p>logged as {{ user.username }}</p>
        <a href="{% url 'registration:logout' %}"><i class="fas fa-sign-out-alt"></i></a>
      </div>
      {% else %}
      <div class="">
        <p>please log in</p>
        <a href="{% url 'registration:login' %}"><i class="fas fa-sign-in-alt"></i></a>
      </div>
      {% endif %}
    </header>
    {% block content %}{% endblock %}
    <footer>
      <p>Created by <strong>Germain GAILLARD</strong>.</p>
      <a href="mailto:gaillard.germain@gmail.com"><i class="far fa-envelope"></i></a>
      <a href="https://gitlab.com/gaillard.germain" target="_blank" rel="noopener noreferrer"><i class="fab fa-gitlab"></i></a>
      <a href="https://github.com/screw-pack" target="_blank" rel="noopener noreferrer"><i class="fab fa-github"></i></a>
      <a href="https://www.linkedin.com/in/gaillard-germain-2301861b4/" target="_blank" rel="noopener noreferrer"><i class="fab fa-linkedin-in"></i></a>
    </footer>
  </body>
</html>

home/templates/home/character_selection.html
{% csrf_token %}
{% for character in user.characters.all %}
<div class="character-selection">
  <a href="{% url 'main:board' character_id=character.id %}">
    <img src="{{ character.image.url }}" alt="">
    <p>{{ character.firstname.title }} {{ character.lastname.title }}</p>
    <p>lvl {{ character.level }}</p>
  </a>
  <button class="del-character" type="button" name="del-character" onclick="deleteCharacter(this)"  value="{{ character.id }}"><i class="fas fa-trash-alt"></i></button>
</div>
{% endfor %}
<a id="add-character" href="{% url 'main:character_creation'%}"><i class="fas fa-plus"></i></a>

home/templates/home/index.html
{% extends 'home/base.html' %}
{% load static %}
  {% block content %}
  <h1>Characters selection</h1>
  <p>Select a character from the list below.</p>
  <p>Or click on <i class="fas fa-plus"></i> to create a new one.</p>
    <div class="selection-box">
      {% include 'home/character_selection.html' %}
    </div>
    <script type="text/javascript" src="{% static 'main/js/character_selection.js' %}"></script>
  {% endblock %}